All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_arg_size Class Reference

Exception thrown if the arguments to an OpenCL kernel have an invalid size e.g. not sizeof(cl_mem)). More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_arg_size:

## Detailed Description

Exception thrown if the arguments to an OpenCL kernel have an invalid size e.g. not sizeof(cl_mem)).

Definition at line 423 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp